Package io.vertx.rxjava3.httpproxy

## Class ProxyResponse

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.ProxyResponse

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ProxyResponse
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Handles the interoperability of the response between the origin and the user agent.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ProxyResponse>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyResponse​(ProxyResponse delegate)` |
    `ProxyResponse​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `etag()` |
    `Body` | `getBody()` | Get the body of the response.
    `ProxyResponse` | `getDelegate()` |
    `int` | `getStatusCode()` | Get the status code.
    `String` | `getStatusMessage()` | Get the status message.
    `int` | `hashCode()` |
    `MultiMap` | `headers()` |
    `long` | `maxAge()` |
    `static ProxyResponse` | `newInstance​(ProxyResponse arg)` |
    `HttpClientResponse` | `proxiedResponse()` |
    `boolean` | `publicCacheControl()` |
    `ProxyResponse` | `release()` | Release the proxy response.
    `ProxyRequest` | `request()` | Return the corresponding `ProxyRequest`.
    `Completable` | `rxSend()` | Send the proxies response to the user agent.
    `Completable` | `send()` | Send the proxies response to the user agent.
    `ProxyResponse` | `setBody​(Body body)` | Set the request body to be sent to the user agent.
    `ProxyResponse` | `setStatusCode​(int sc)` | Set the status code to be sent to the user agent.
    `ProxyResponse` | `setStatusMessage​(String statusMessage)` | Set the status message to be sent to the user agent.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ProxyResponse> __TYPE_ARG

  - ### Constructor Detail

    - #### ProxyResponse

          public ProxyResponse​(ProxyResponse delegate)

    - #### ProxyResponse

          public ProxyResponse​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ProxyResponse getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### request

          public ProxyRequest request()

      Return the corresponding `ProxyRequest`.
      Returns:
        the proxy request

    - #### getStatusCode

          public int getStatusCode()

      Get the status code.
      Returns:
        the status code to be sent to the user agent

    - #### setStatusCode

          public ProxyResponse setStatusCode​(int sc)

      Set the status code to be sent to the user agent.

      The initial value is the proxied response status code.

      Parameters:
        `sc` - the status code
      Returns:
        a reference to this, so the API can be used fluently

    - #### getStatusMessage

          public String getStatusMessage()

      Get the status message.
      Returns:
        the status message to be sent to the user agent

    - #### setStatusMessage

          public ProxyResponse setStatusMessage​(String statusMessage)

      Set the status message to be sent to the user agent.

      The initial value is the proxied response status message.

      Parameters:
        `statusMessage` - the status message
      Returns:
        a reference to this, so the API can be used fluently

    - #### headers

          public MultiMap headers()

      Returns:
        the headers that will be sent to the user agent, the returned headers can be modified. The headers map is populated with the proxied response headers

    - #### getBody

          public Body getBody()

      Get the body of the response.
      Returns:
        the response body to be sent to the user agent

    - #### setBody

          public ProxyResponse setBody​(Body body)

      Set the request body to be sent to the user agent.

      The initial request body value is the proxied response body.

      Parameters:
        `body` - the new body
      Returns:
        a reference to this, so the API can be used fluently

    - #### proxiedResponse

          public HttpClientResponse proxiedResponse()

      Returns:
        the proxied HTTP server response

    - #### publicCacheControl

          public boolean publicCacheControl()

    - #### maxAge

          public long maxAge()

    - #### etag

          public String etag()

      Returns:
        the `etag` sent by the origin response

    - #### send

          public Completable send()

      Send the proxies response to the user agent.
      Returns:

    - #### rxSend

          public Completable rxSend()

      Send the proxies response to the user agent.
      Returns:

    - #### release

          public ProxyResponse release()

      Release the proxy response.

      The proxied response is resumed, no HTTP response is sent to the user-agent

      Returns:

    - #### newInstance

          public static ProxyResponse newInstance​(ProxyResponse arg)